WordPress Premature end of JPEG file hatası

Bu gün müşterilerimden biri wordpress sitesine galeri istedi. Nextgen gallery en gelişmiş ve sorunsuz çalışan eklentilerden biri. Ne varki bazı php versiyonlarında küçük sorunlar çıkabiliyor. Örneğin aşağıdaki hatayla daha önceki galeri uygulamalarımda hiç karşılaşmamıştım:

imagecreatefromjpeg() : gd-jpeg, libjpeg: recoverable error: Premature end of JPEG

Bu hatayı 17 resimden yalnızca ikisinin ön izlemesi oluşturulurken alıyordum. İlk akla gelen uygulamalar olan resim uzantılarını değiştirmek ve resimleiri yeniden yüklemek hatayı çözmedi.

Eğer siz de yüklediğiniz fotoğraflardan bazılarında bu hatayı alıyorsanız aşağıdaki adımları uygulayınız.

  • php 4 : hiç bir şey yapmanıza gerek yok, galeri sorunsuz çalışacaktır.
  • php 5.0 – 5.1.2 = php 5’i en son versiyonuna yükseltin
  • php 5.1.3 – güncel versiyon =  imagecreatefromjpeg()   ten önce aşağıdaki değişkeni tanımlayın:

ini_set(‘gd.jpeg_ignore_warning’, 1);

Böylece  gd2, php hatayı görmeyecek ve galerideki bütün resimler sorunsuz çalışacaktır…

Yorum Gönderin

E-posta hesabınız yayımlanmayacak.